MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
StandardDirectory.hxx File Reference
`#include "check.h"`
`#include "AllocatedPath.hxx"`
Include dependency graph for StandardDirectory.hxx:

Go to the source code of this file.

## Functions
AllocatedPath | GetUserConfigDir ()
| Obtains configuration directory for the current user. More...
AllocatedPath | GetUserMusicDir ()
| Obtains music directory for the current user. More...
gcc_pure AllocatedPath | GetUserCacheDir ()
| Obtains cache directory for the current user. More...
AllocatedPath | GetHomeDir ()
| Obtains home directory for the current user. More...
AllocatedPath | GetHomeDir (const char *user_name)
| Obtains home directory for the specified user. More...

## Function Documentation

AllocatedPath GetHomeDir | ( |  | ) |

Obtains home directory for the current user.

AllocatedPath GetHomeDir | ( | const char * | user_name | ) |

Obtains home directory for the specified user.

gcc_pure AllocatedPath GetUserCacheDir | ( |  | ) |

Obtains cache directory for the current user.

AllocatedPath GetUserConfigDir | ( |  | ) |

Obtains configuration directory for the current user.

AllocatedPath GetUserMusicDir | ( |  | ) |

Obtains music directory for the current user.